import cookieParser from "cookie-parser";
import { Application } from "express";
/**
 * Loader for express related configurations.
 * Configures proxy trusts, globally used middlewares and other express features.
 */
export default async (app: Application) => {
	app.enable('trust proxy');
	app.disable('x-powered-by');
	app.disable('x-served-by');
	app.use(cookieParser());
	return app;
};
